# $Revision: 1.11 $, $Date: 2010/06/06 08:39:30 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	SO3
Summary:	Math::SO3 - implementation of SO(3) rotation group
Summary(pl.UTF-8):	Math::SO3 - implementacja grupy obrotów SO(3)
Name:		perl-Math-SO3
Version:	0.90
Release:	3
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0ca499258a36775d3e2f3d9ae0db0c5c
URL:		http://search.cpan.org/dist/Math-SO3/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a simple (direct), fast (in C) implementation of
three-dimensional rotations, more widely known as "the SO(3) group".

%description -l pl.UTF-8
Ten pakiet dostarcza prostą (bezpośrednią), szybką (w C) implementację
trójwymiarowych obrotów, szerzej znaną jako "grupa SO(3)".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# uhm...? original version failed, this doesn't
%{__perl} -pi -e 's/euler_angles_zxz/euler_angles_yxz/' test.pl

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Math/SO3.pm
%dir %{perl_vendorarch}/auto/Math/SO3
%{perl_vendorarch}/auto/Math/SO3/autosplit.ix
%{perl_vendorarch}/auto/Math/SO3/SO3.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/SO3/SO3.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-SO3.spec,v $
Revision 1.11  2010/06/06 08:39:30  arekm
- release 3

Revision 1.10  2008/03/24 16:20:36  qboosh
- generic URL

Revision 1.9  2008-02-10 12:15:40  arekm
- rel 2

Revision 1.8  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.7  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.5  2004/11/03 22:30:35  paladine
- formatting

Revision 1.4  2004/06/07 17:50:00  qboosh
- fixed Name

Revision 1.3  2004/05/06 18:43:19  ankry
- fixed perl-devel BR

Revision 1.2  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.1  2003/06/29 21:11:30  qboosh
- new
